const __LiftDiceValues = {
  "0": {
    "weight": "25 kg",
    "dice": ""
  },
  "1": {
    "weight": "29 kg",
    "dice": ""
  },
  "2": {
    "weight": "33 kg",
    "dice": ""
  },
  "3": {
    "weight": "37.5 kg",
    "dice": "0 1/2d6"
  },
  "4": {
    "weight": "44 kg",
    "dice": "0 1/2d6"
  },
  "5": {
    "weight": "50 kg",
    "dice": "1d6"
  },
  "6": {
    "weight": "58 kg",
    "dice": "1d6"
  },
  "7": {
    "weight": "67 kg",
    "dice": "1d6"
  },
  "8": {
    "weight": "75 kg",
    "dice": "1 1/2d6"
  },
  "9": {
    "weight": "88 kg",
    "dice": "1 1/2d6"
  },
  "10": {
    "weight": "100 kg",
    "dice": "2d6"
  },
  "11": {
    "weight": "117 kg",
    "dice": "2d6"
  },
  "12": {
    "weight": "133 kg",
    "dice": "2d6"
  },
  "13": {
    "weight": "150 kg",
    "dice": "2 1/2d6"
  },
  "14": {
    "weight": "175 kg",
    "dice": "2 1/2d6"
  },
  "15": {
    "weight": "200 kg",
    "dice": "3d6"
  },
  "16": {
    "weight": "233 kg",
    "dice": "3d6"
  },
  "17": {
    "weight": "267 kg",
    "dice": "3d6"
  },
  "18": {
    "weight": "300 kg",
    "dice": "3 1/2d6"
  },
  "19": {
    "weight": "350 kg",
    "dice": "3 1/2d6"
  },
  "20": {
    "weight": "400 kg",
    "dice": "4d6"
  },
  "21": {
    "weight": "467 kg",
    "dice": "4d6"
  },
  "22": {
    "weight": "533 kg",
    "dice": "4d6"
  },
  "23": {
    "weight": "600 kg",
    "dice": "4 1/2d6"
  },
  "24": {
    "weight": "700 kg",
    "dice": "4 1/2d6"
  },
  "25": {
    "weight": "800 kg",
    "dice": "5d6"
  },
  "26": {
    "weight": "933 kg",
    "dice": "5d6"
  },
  "27": {
    "weight": "1,067 kg",
    "dice": "5d6"
  },
  "28": {
    "weight": "1,200 kg",
    "dice": "5 1/2d6"
  },
  "29": {
    "weight": "1,400 kg",
    "dice": "5 1/2d6"
  },
  "30": {
    "weight": "1,600 kg",
    "dice": "6d6"
  },
  "31": {
    "weight": "1,867 kg",
    "dice": "6d6"
  },
  "32": {
    "weight": "2,133 kg",
    "dice": "6d6"
  },
  "33": {
    "weight": "2,400 kg",
    "dice": "6 1/2d6"
  },
  "34": {
    "weight": "2,800 kg",
    "dice": "6 1/2d6"
  },
  "35": {
    "weight": "3,200 kg",
    "dice": "7d6"
  },
  "36": {
    "weight": "3,733 kg",
    "dice": "7d6"
  },
  "37": {
    "weight": "4,267 kg",
    "dice": "7d6"
  },
  "38": {
    "weight": "4,800 kg",
    "dice": "7 1/2d6"
  },
  "39": {
    "weight": "5,600 kg",
    "dice": "7 1/2d6"
  },
  "40": {
    "weight": "6,400 kg",
    "dice": "8d6"
  },
  "41": {
    "weight": "7,467 kg",
    "dice": "8d6"
  },
  "42": {
    "weight": "8,533 kg",
    "dice": "8d6"
  },
  "43": {
    "weight": "9,600 kg",
    "dice": "8 1/2d6"
  },
  "44": {
    "weight": "11 tons",
    "dice": "8 1/2d6"
  },
  "45": {
    "weight": "12.5 tons",
    "dice": "9d6"
  },
  "46": {
    "weight": "15 tons",
    "dice": "9d6"
  },
  "47": {
    "weight": "17 tons",
    "dice": "9d6"
  },
  "48": {
    "weight": "19 tons",
    "dice": "9 1/2d6"
  },
  "49": {
    "weight": "22 tons",
    "dice": "9 1/2d6"
  },
  "50": {
    "weight": "25 tons",
    "dice": "10d6"
  },
  "51": {
    "weight": "29 tons",
    "dice": "10d6"
  },
  "52": {
    "weight": "33 tons",
    "dice": "10d6"
  },
  "53": {
    "weight": "37.5 tons",
    "dice": "10 1/2d6"
  },
  "54": {
    "weight": "44 tons",
    "dice": "10 1/2d6"
  },
  "55": {
    "weight": "50 tons",
    "dice": "11d6"
  },
  "56": {
    "weight": "58 tons",
    "dice": "11d6"
  },
  "57": {
    "weight": "67 tons",
    "dice": "11d6"
  },
  "58": {
    "weight": "75 tons",
    "dice": "11 1/2d6"
  },
  "59": {
    "weight": "88 tons",
    "dice": "11 1/2d6"
  },
  "60": {
    "weight": "100 tons",
    "dice": "12d6"
  },
  "61": {
    "weight": "117 tons",
    "dice": "12d6"
  },
  "62": {
    "weight": "133 tons",
    "dice": "12d6"
  },
  "63": {
    "weight": "150 tons",
    "dice": "12 1/2d6"
  },
  "64": {
    "weight": "175 tons",
    "dice": "12 1/2d6"
  },
  "65": {
    "weight": "200 tons",
    "dice": "13d6"
  },
  "66": {
    "weight": "233 tons",
    "dice": "13d6"
  },
  "67": {
    "weight": "267 tons",
    "dice": "13d6"
  },
  "68": {
    "weight": "300 tons",
    "dice": "13 1/2d6"
  },
  "69": {
    "weight": "350 tons",
    "dice": "13 1/2d6"
  },
  "70": {
    "weight": "400 tons",
    "dice": "14d6"
  },
  "71": {
    "weight": "467 tons",
    "dice": "14d6"
  },
  "72": {
    "weight": "533 tons",
    "dice": "14d6"
  },
  "73": {
    "weight": "600 tons",
    "dice": "14 1/2d6"
  },
  "74": {
    "weight": "700 tons",
    "dice": "14 1/2d6"
  },
  "75": {
    "weight": "800 tons",
    "dice": "15d6"
  },
  "76": {
    "weight": "933 tons",
    "dice": "15d6"
  },
  "77": {
    "weight": "1 kton 15d6",
    "dice": ""
  },
  "78": {
    "weight": "1.2 ktons",
    "dice": "15 1/2d6"
  },
  "79": {
    "weight": "1.4 ktons",
    "dice": "15 1/2d6"
  },
  "80": {
    "weight": "1.6 ktons",
    "dice": "16d6"
  },
  "81": {
    "weight": "1.9 ktons",
    "dice": "16d6"
  },
  "82": {
    "weight": "2 ktons",
    "dice": "16d6"
  },
  "83": {
    "weight": "2.4 ktons",
    "dice": "16 1/2d6"
  },
  "84": {
    "weight": "2.8 ktons",
    "dice": "16 1/2d6"
  },
  "85": {
    "weight": "3.2 ktons",
    "dice": "17d6"
  },
  "86": {
    "weight": "3.7 ktons",
    "dice": "17d6"
  },
  "87": {
    "weight": "4.3 ktons",
    "dice": "17d6"
  },
  "88": {
    "weight": "4.8 ktons",
    "dice": "17 1/2d6"
  },
  "89": {
    "weight": "5.6 ktons",
    "dice": "17 1/2d6"
  },
  "90": {
    "weight": "6.4 ktons",
    "dice": "18d6"
  },
  "91": {
    "weight": "7.5 ktons",
    "dice": "18d6"
  },
  "92": {
    "weight": "8.5 ktons",
    "dice": "18d6"
  },
  "93": {
    "weight": "9.6 ktons",
    "dice": "18 1/2d6"
  },
  "94": {
    "weight": "11 ktons",
    "dice": "18 1/2d6"
  },
  "95": {
    "weight": "12.5 ktons",
    "dice": "19d6"
  },
  "96": {
    "weight": "15 ktons",
    "dice": "19d6"
  },
  "97": {
    "weight": "17 ktons",
    "dice": "19d6"
  },
  "98": {
    "weight": "19 ktons",
    "dice": "19 1/2d6"
  },
  "99": {
    "weight": "22 ktons",
    "dice": "19 1/2d6"
  },
  "100": {
    "weight": "25 ktons",
    "dice": "20d6"
  },
  "105": {
    "weight": "50 ktons",
    "dice": "21d6"
  },
  "110": {
    "weight": "100 ktons",
    "dice": "22d6"
  },
  "115": {
    "weight": "200 ktons",
    "dice": "23d6"
  },
  "120": {
    "weight": "400 ktons",
    "dice": "24d6"
  },
  "125": {
    "weight": "800 ktons",
    "dice": "25d6"
  },
  "130": {
    "weight": "1.6 mtons",
    "dice": "26d6"
  },
  "135": {
    "weight": "3.2 mtons",
    "dice": "27d6"
  },
  "140": {
    "weight": "6.4 mtons",
    "dice": "28d6"
  },
  "145": {
    "weight": "12.5 mtons",
    "dice": "29d6"
  },
  "150": {
    "weight": "25 mtons",
    "dice": "30d6"
  },
  "155": {
    "weight": "50 mtons",
    "dice": "31d6"
  },
  "160": {
    "weight": "100 mtons",
    "dice": "32d6"
  },
  "165": {
    "weight": "200 mtons",
    "dice": "33d6"
  },
  "170": {
    "weight": "400 mtons",
    "dice": "34d6"
  },
  "175": {
    "weight": "800 mtons",
    "dice": "35d6"
  },
  "180": {
    "weight": "1.6 gtons",
    "dice": "36d6"
  },
  "185": {
    "weight": "3.2 gtons",
    "dice": "37d6"
  },
  "190": {
    "weight": "6.4 gtons",
    "dice": "38d6"
  },
  "195": {
    "weight": "12.5 gtons",
    "dice": "39d6"
  },
  "200": {
    "weight": "25 gtons",
    "dice": "40d6"
  },
  "-50": {
    "weight": "0.025 kg",
    "dice": ""
  },
  "-45": {
    "weight": "0.05 kg",
    "dice": ""
  },
  "-40": {
    "weight": "0.1 kg",
    "dice": ""
  },
  "-35": {
    "weight": "0.2 kg",
    "dice": ""
  },
  "-30": {
    "weight": "0.4 kg",
    "dice": ""
  },
  "-29": {
    "weight": "0.5 kg",
    "dice": ""
  },
  "-28": {
    "weight": "0.5 kg",
    "dice": ""
  },
  "-27": {
    "weight": "0.6 kg",
    "dice": ""
  },
  "-26": {
    "weight": "0.7 kg",
    "dice": ""
  },
  "-25": {
    "weight": "0.8 kg",
    "dice": ""
  },
  "-24": {
    "weight": "0.9 kg",
    "dice": ""
  },
  "-23": {
    "weight": "1.0 kg",
    "dice": ""
  },
  "-22": {
    "weight": "1.2 kg",
    "dice": ""
  },
  "-21": {
    "weight": "1.4 kg",
    "dice": ""
  },
  "-20": {
    "weight": "1.6 kg",
    "dice": ""
  },
  "-19": {
    "weight": "1.8 kg",
    "dice": ""
  },
  "-18": {
    "weight": "2.0 kg",
    "dice": ""
  },
  "-17": {
    "weight": "2.4 kg",
    "dice": ""
  },
  "-16": {
    "weight": "2.8 kg",
    "dice": ""
  },
  "-15": {
    "weight": "3.2 kg",
    "dice": ""
  },
  "-14": {
    "weight": "3.6 kg",
    "dice": ""
  },
  "-13": {
    "weight": "4.0 kg",
    "dice": ""
  },
  "-12": {
    "weight": "4.8 kg",
    "dice": ""
  },
  "-11": {
    "weight": "5.6 kg",
    "dice": ""
  },
  "-10": {
    "weight": "6.4 kg",
    "dice": ""
  },
  "-9": {
    "weight": "7.2 kg",
    "dice": ""
  },
  "-8": {
    "weight": "8.0 kg",
    "dice": ""
  },
  "-7": {
    "weight": "9.5 kg",
    "dice": ""
  },
  "-6": {
    "weight": "11 kg",
    "dice": ""
  },
  "-5": {
    "weight": "12.5 kg",
    "dice": ""
  },
  "-4": {
    "weight": "14 kg",
    "dice": ""
  },
  "-3": {
    "weight": "16 kg",
    "dice": ""
  },
  "-2": {
    "weight": "19 kg",
    "dice": ""
  },
  "-1": {
    "weight": "22 kg",
    "dice": ""
  }
}

export class Hero6LiftDice{

  static getLift(value) {
    let data = __LiftDiceValues[String(value)]
    if (data) {
      return data.weight
    }
    return 0
  }

  static getLiftDice(value) {
    let data = __LiftDiceValues[String(value)]
    if (data) {
      return data.dice
    }
    return 0
  }
}